Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/20
Addresses2^108
/64 networks2^44
Network
fc06:c000::/20
First address
fc06:c000::
Last address
fc06:cfff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
324,518,553,658,426,726,783,156,020,576,256 (2^108)
/64 networks (LANs)
17,592,186,044,416 (2^44)
Full form
fc06:c000:0000:0000:0000:0000:0000:0000
Type
Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8
Reverse DNS zone
c.6.0.c.f.ip6.arpa
Split into smaller subnets/32

fc06:c000::/20 makes 4,096 subnets of /32; the first 256 are listed.

Subnets
#SubnetLast address
1fc06:c000::/32fc06:c000:ffff:ffff:ffff:ffff:ffff:ffff
2fc06:c001::/32fc06:c001:ffff:ffff:ffff:ffff:ffff:ffff
3fc06:c002::/32fc06:c002:ffff:ffff:ffff:ffff:ffff:ffff
4fc06:c003::/32fc06:c003:ffff:ffff:ffff:ffff:ffff:ffff
5fc06:c004::/32fc06:c004:ffff:ffff:ffff:ffff:ffff:ffff
6fc06:c005::/32fc06:c005:ffff:ffff:ffff:ffff:ffff:ffff
7fc06:c006::/32fc06:c006:ffff:ffff:ffff:ffff:ffff:ffff
8fc06:c007::/32fc06:c007:ffff:ffff:ffff:ffff:ffff:ffff
9fc06:c008::/32fc06:c008:ffff:ffff:ffff:ffff:ffff:ffff
10fc06:c009::/32fc06:c009:ffff:ffff:ffff:ffff:ffff:ffff
11fc06:c00a::/32fc06:c00a:ffff:ffff:ffff:ffff:ffff:ffff
12fc06:c00b::/32fc06:c00b:ffff:ffff:ffff:ffff:ffff:ffff
13fc06:c00c::/32fc06:c00c:ffff:ffff:ffff:ffff:ffff:ffff
14fc06:c00d::/32fc06:c00d:ffff:ffff:ffff:ffff:ffff:ffff
15fc06:c00e::/32fc06:c00e:ffff:ffff:ffff:ffff:ffff:ffff
16fc06:c00f::/32fc06:c00f:ffff:ffff:ffff:ffff:ffff:ffff
17fc06:c010::/32fc06:c010:ffff:ffff:ffff:ffff:ffff:ffff
18fc06:c011::/32fc06:c011:ffff:ffff:ffff:ffff:ffff:ffff
19fc06:c012::/32fc06:c012:ffff:ffff:ffff:ffff:ffff:ffff
20fc06:c013::/32fc06:c013:ffff:ffff:ffff:ffff:ffff:ffff
21fc06:c014::/32fc06:c014:ffff:ffff:ffff:ffff:ffff:ffff
22fc06:c015::/32fc06:c015:ffff:ffff:ffff:ffff:ffff:ffff
23fc06:c016::/32fc06:c016:ffff:ffff:ffff:ffff:ffff:ffff
24fc06:c017::/32fc06:c017:ffff:ffff:ffff:ffff:ffff:ffff
25fc06:c018::/32fc06:c018:ffff:ffff:ffff:ffff:ffff:ffff
26fc06:c019::/32fc06:c019:ffff:ffff:ffff:ffff:ffff:ffff
27fc06:c01a::/32fc06:c01a:ffff:ffff:ffff:ffff:ffff:ffff
28fc06:c01b::/32fc06:c01b:ffff:ffff:ffff:ffff:ffff:ffff
29fc06:c01c::/32fc06:c01c:ffff:ffff:ffff:ffff:ffff:ffff
30fc06:c01d::/32fc06:c01d:ffff:ffff:ffff:ffff:ffff:ffff
31fc06:c01e::/32fc06:c01e:ffff:ffff:ffff:ffff:ffff:ffff
32fc06:c01f::/32fc06:c01f:ffff:ffff:ffff:ffff:ffff:ffff
33fc06:c020::/32fc06:c020:ffff:ffff:ffff:ffff:ffff:ffff
34fc06:c021::/32fc06:c021:ffff:ffff:ffff:ffff:ffff:ffff
35fc06:c022::/32fc06:c022:ffff:ffff:ffff:ffff:ffff:ffff
36fc06:c023::/32fc06:c023:ffff:ffff:ffff:ffff:ffff:ffff
37fc06:c024::/32fc06:c024:ffff:ffff:ffff:ffff:ffff:ffff
38fc06:c025::/32fc06:c025:ffff:ffff:ffff:ffff:ffff:ffff
39fc06:c026::/32fc06:c026:ffff:ffff:ffff:ffff:ffff:ffff
40fc06:c027::/32fc06:c027:ffff:ffff:ffff:ffff:ffff:ffff
41fc06:c028::/32fc06:c028:ffff:ffff:ffff:ffff:ffff:ffff
42fc06:c029::/32fc06:c029:ffff:ffff:ffff:ffff:ffff:ffff
43fc06:c02a::/32fc06:c02a:ffff:ffff:ffff:ffff:ffff:ffff
44fc06:c02b::/32fc06:c02b:ffff:ffff:ffff:ffff:ffff:ffff
45fc06:c02c::/32fc06:c02c:ffff:ffff:ffff:ffff:ffff:ffff
46fc06:c02d::/32fc06:c02d:ffff:ffff:ffff:ffff:ffff:ffff
47fc06:c02e::/32fc06:c02e:ffff:ffff:ffff:ffff:ffff:ffff
48fc06:c02f::/32fc06:c02f:ffff:ffff:ffff:ffff:ffff:ffff
49fc06:c030::/32fc06:c030:ffff:ffff:ffff:ffff:ffff:ffff
50fc06:c031::/32fc06:c031:ffff:ffff:ffff:ffff:ffff:ffff
51fc06:c032::/32fc06:c032:ffff:ffff:ffff:ffff:ffff:ffff
52fc06:c033::/32fc06:c033:ffff:ffff:ffff:ffff:ffff:ffff
53fc06:c034::/32fc06:c034:ffff:ffff:ffff:ffff:ffff:ffff
54fc06:c035::/32fc06:c035:ffff:ffff:ffff:ffff:ffff:ffff
55fc06:c036::/32fc06:c036:ffff:ffff:ffff:ffff:ffff:ffff
56fc06:c037::/32fc06:c037:ffff:ffff:ffff:ffff:ffff:ffff
57fc06:c038::/32fc06:c038:ffff:ffff:ffff:ffff:ffff:ffff
58fc06:c039::/32fc06:c039:ffff:ffff:ffff:ffff:ffff:ffff
59fc06:c03a::/32fc06:c03a:ffff:ffff:ffff:ffff:ffff:ffff
60fc06:c03b::/32fc06:c03b:ffff:ffff:ffff:ffff:ffff:ffff
61fc06:c03c::/32fc06:c03c:ffff:ffff:ffff:ffff:ffff:ffff
62fc06:c03d::/32fc06:c03d:ffff:ffff:ffff:ffff:ffff:ffff
63fc06:c03e::/32fc06:c03e:ffff:ffff:ffff:ffff:ffff:ffff
64fc06:c03f::/32fc06:c03f:ffff:ffff:ffff:ffff:ffff:ffff
65fc06:c040::/32fc06:c040:ffff:ffff:ffff:ffff:ffff:ffff
66fc06:c041::/32fc06:c041:ffff:ffff:ffff:ffff:ffff:ffff
67fc06:c042::/32fc06:c042:ffff:ffff:ffff:ffff:ffff:ffff
68fc06:c043::/32fc06:c043:ffff:ffff:ffff:ffff:ffff:ffff
69fc06:c044::/32fc06:c044:ffff:ffff:ffff:ffff:ffff:ffff
70fc06:c045::/32fc06:c045:ffff:ffff:ffff:ffff:ffff:ffff
71fc06:c046::/32fc06:c046:ffff:ffff:ffff:ffff:ffff:ffff
72fc06:c047::/32fc06:c047:ffff:ffff:ffff:ffff:ffff:ffff
73fc06:c048::/32fc06:c048:ffff:ffff:ffff:ffff:ffff:ffff
74fc06:c049::/32fc06:c049:ffff:ffff:ffff:ffff:ffff:ffff
75fc06:c04a::/32fc06:c04a:ffff:ffff:ffff:ffff:ffff:ffff
76fc06:c04b::/32fc06:c04b:ffff:ffff:ffff:ffff:ffff:ffff
77fc06:c04c::/32fc06:c04c:ffff:ffff:ffff:ffff:ffff:ffff
78fc06:c04d::/32fc06:c04d:ffff:ffff:ffff:ffff:ffff:ffff
79fc06:c04e::/32fc06:c04e:ffff:ffff:ffff:ffff:ffff:ffff
80fc06:c04f::/32fc06:c04f:ffff:ffff:ffff:ffff:ffff:ffff
81fc06:c050::/32fc06:c050:ffff:ffff:ffff:ffff:ffff:ffff
82fc06:c051::/32fc06:c051:ffff:ffff:ffff:ffff:ffff:ffff
83fc06:c052::/32fc06:c052:ffff:ffff:ffff:ffff:ffff:ffff
84fc06:c053::/32fc06:c053:ffff:ffff:ffff:ffff:ffff:ffff
85fc06:c054::/32fc06:c054:ffff:ffff:ffff:ffff:ffff:ffff
86fc06:c055::/32fc06:c055:ffff:ffff:ffff:ffff:ffff:ffff
87fc06:c056::/32fc06:c056:ffff:ffff:ffff:ffff:ffff:ffff
88fc06:c057::/32fc06:c057:ffff:ffff:ffff:ffff:ffff:ffff
89fc06:c058::/32fc06:c058:ffff:ffff:ffff:ffff:ffff:ffff
90fc06:c059::/32fc06:c059:ffff:ffff:ffff:ffff:ffff:ffff
91fc06:c05a::/32fc06:c05a:ffff:ffff:ffff:ffff:ffff:ffff
92fc06:c05b::/32fc06:c05b:ffff:ffff:ffff:ffff:ffff:ffff
93fc06:c05c::/32fc06:c05c:ffff:ffff:ffff:ffff:ffff:ffff
94fc06:c05d::/32fc06:c05d:ffff:ffff:ffff:ffff:ffff:ffff
95fc06:c05e::/32fc06:c05e:ffff:ffff:ffff:ffff:ffff:ffff
96fc06:c05f::/32fc06:c05f:ffff:ffff:ffff:ffff:ffff:ffff
97fc06:c060::/32fc06:c060:ffff:ffff:ffff:ffff:ffff:ffff
98fc06:c061::/32fc06:c061:ffff:ffff:ffff:ffff:ffff:ffff
99fc06:c062::/32fc06:c062:ffff:ffff:ffff:ffff:ffff:ffff
100fc06:c063::/32fc06:c063:ffff:ffff:ffff:ffff:ffff:ffff
101fc06:c064::/32fc06:c064:ffff:ffff:ffff:ffff:ffff:ffff
102fc06:c065::/32fc06:c065:ffff:ffff:ffff:ffff:ffff:ffff
103fc06:c066::/32fc06:c066:ffff:ffff:ffff:ffff:ffff:ffff
104fc06:c067::/32fc06:c067:ffff:ffff:ffff:ffff:ffff:ffff
105fc06:c068::/32fc06:c068:ffff:ffff:ffff:ffff:ffff:ffff
106fc06:c069::/32fc06:c069:ffff:ffff:ffff:ffff:ffff:ffff
107fc06:c06a::/32fc06:c06a:ffff:ffff:ffff:ffff:ffff:ffff
108fc06:c06b::/32fc06:c06b:ffff:ffff:ffff:ffff:ffff:ffff
109fc06:c06c::/32fc06:c06c:ffff:ffff:ffff:ffff:ffff:ffff
110fc06:c06d::/32fc06:c06d:ffff:ffff:ffff:ffff:ffff:ffff
111fc06:c06e::/32fc06:c06e:ffff:ffff:ffff:ffff:ffff:ffff
112fc06:c06f::/32fc06:c06f:ffff:ffff:ffff:ffff:ffff:ffff
113fc06:c070::/32fc06:c070:ffff:ffff:ffff:ffff:ffff:ffff
114fc06:c071::/32fc06:c071:ffff:ffff:ffff:ffff:ffff:ffff
115fc06:c072::/32fc06:c072:ffff:ffff:ffff:ffff:ffff:ffff
116fc06:c073::/32fc06:c073:ffff:ffff:ffff:ffff:ffff:ffff
117fc06:c074::/32fc06:c074:ffff:ffff:ffff:ffff:ffff:ffff
118fc06:c075::/32fc06:c075:ffff:ffff:ffff:ffff:ffff:ffff
119fc06:c076::/32fc06:c076:ffff:ffff:ffff:ffff:ffff:ffff
120fc06:c077::/32fc06:c077:ffff:ffff:ffff:ffff:ffff:ffff
121fc06:c078::/32fc06:c078:ffff:ffff:ffff:ffff:ffff:ffff
122fc06:c079::/32fc06:c079:ffff:ffff:ffff:ffff:ffff:ffff
123fc06:c07a::/32fc06:c07a:ffff:ffff:ffff:ffff:ffff:ffff
124fc06:c07b::/32fc06:c07b:ffff:ffff:ffff:ffff:ffff:ffff
125fc06:c07c::/32fc06:c07c:ffff:ffff:ffff:ffff:ffff:ffff
126fc06:c07d::/32fc06:c07d:ffff:ffff:ffff:ffff:ffff:ffff
127fc06:c07e::/32fc06:c07e:ffff:ffff:ffff:ffff:ffff:ffff
128fc06:c07f::/32fc06:c07f:ffff:ffff:ffff:ffff:ffff:ffff
129fc06:c080::/32fc06:c080:ffff:ffff:ffff:ffff:ffff:ffff
130fc06:c081::/32fc06:c081:ffff:ffff:ffff:ffff:ffff:ffff
131fc06:c082::/32fc06:c082:ffff:ffff:ffff:ffff:ffff:ffff
132fc06:c083::/32fc06:c083:ffff:ffff:ffff:ffff:ffff:ffff
133fc06:c084::/32fc06:c084:ffff:ffff:ffff:ffff:ffff:ffff
134fc06:c085::/32fc06:c085:ffff:ffff:ffff:ffff:ffff:ffff
135fc06:c086::/32fc06:c086:ffff:ffff:ffff:ffff:ffff:ffff
136fc06:c087::/32fc06:c087:ffff:ffff:ffff:ffff:ffff:ffff
137fc06:c088::/32fc06:c088:ffff:ffff:ffff:ffff:ffff:ffff
138fc06:c089::/32fc06:c089:ffff:ffff:ffff:ffff:ffff:ffff
139fc06:c08a::/32fc06:c08a:ffff:ffff:ffff:ffff:ffff:ffff
140fc06:c08b::/32fc06:c08b:ffff:ffff:ffff:ffff:ffff:ffff
141fc06:c08c::/32fc06:c08c:ffff:ffff:ffff:ffff:ffff:ffff
142fc06:c08d::/32fc06:c08d:ffff:ffff:ffff:ffff:ffff:ffff
143fc06:c08e::/32fc06:c08e:ffff:ffff:ffff:ffff:ffff:ffff
144fc06:c08f::/32fc06:c08f:ffff:ffff:ffff:ffff:ffff:ffff
145fc06:c090::/32fc06:c090:ffff:ffff:ffff:ffff:ffff:ffff
146fc06:c091::/32fc06:c091:ffff:ffff:ffff:ffff:ffff:ffff
147fc06:c092::/32fc06:c092:ffff:ffff:ffff:ffff:ffff:ffff
148fc06:c093::/32fc06:c093:ffff:ffff:ffff:ffff:ffff:ffff
149fc06:c094::/32fc06:c094:ffff:ffff:ffff:ffff:ffff:ffff
150fc06:c095::/32fc06:c095:ffff:ffff:ffff:ffff:ffff:ffff
151fc06:c096::/32fc06:c096:ffff:ffff:ffff:ffff:ffff:ffff
152fc06:c097::/32fc06:c097:ffff:ffff:ffff:ffff:ffff:ffff
153fc06:c098::/32fc06:c098:ffff:ffff:ffff:ffff:ffff:ffff
154fc06:c099::/32fc06:c099:ffff:ffff:ffff:ffff:ffff:ffff
155fc06:c09a::/32fc06:c09a:ffff:ffff:ffff:ffff:ffff:ffff
156fc06:c09b::/32fc06:c09b:ffff:ffff:ffff:ffff:ffff:ffff
157fc06:c09c::/32fc06:c09c:ffff:ffff:ffff:ffff:ffff:ffff
158fc06:c09d::/32fc06:c09d:ffff:ffff:ffff:ffff:ffff:ffff
159fc06:c09e::/32fc06:c09e:ffff:ffff:ffff:ffff:ffff:ffff
160fc06:c09f::/32fc06:c09f:ffff:ffff:ffff:ffff:ffff:ffff
161fc06:c0a0::/32fc06:c0a0:ffff:ffff:ffff:ffff:ffff:ffff
162fc06:c0a1::/32fc06:c0a1:ffff:ffff:ffff:ffff:ffff:ffff
163fc06:c0a2::/32fc06:c0a2:ffff:ffff:ffff:ffff:ffff:ffff
164fc06:c0a3::/32fc06:c0a3:ffff:ffff:ffff:ffff:ffff:ffff
165fc06:c0a4::/32fc06:c0a4:ffff:ffff:ffff:ffff:ffff:ffff
166fc06:c0a5::/32fc06:c0a5:ffff:ffff:ffff:ffff:ffff:ffff
167fc06:c0a6::/32fc06:c0a6:ffff:ffff:ffff:ffff:ffff:ffff
168fc06:c0a7::/32fc06:c0a7:ffff:ffff:ffff:ffff:ffff:ffff
169fc06:c0a8::/32fc06:c0a8:ffff:ffff:ffff:ffff:ffff:ffff
170fc06:c0a9::/32fc06:c0a9:ffff:ffff:ffff:ffff:ffff:ffff
171fc06:c0aa::/32fc06:c0aa:ffff:ffff:ffff:ffff:ffff:ffff
172fc06:c0ab::/32fc06:c0ab:ffff:ffff:ffff:ffff:ffff:ffff
173fc06:c0ac::/32fc06:c0ac:ffff:ffff:ffff:ffff:ffff:ffff
174fc06:c0ad::/32fc06:c0ad:ffff:ffff:ffff:ffff:ffff:ffff
175fc06:c0ae::/32fc06:c0ae:ffff:ffff:ffff:ffff:ffff:ffff
176fc06:c0af::/32fc06:c0af:ffff:ffff:ffff:ffff:ffff:ffff
177fc06:c0b0::/32fc06:c0b0:ffff:ffff:ffff:ffff:ffff:ffff
178fc06:c0b1::/32fc06:c0b1:ffff:ffff:ffff:ffff:ffff:ffff
179fc06:c0b2::/32fc06:c0b2:ffff:ffff:ffff:ffff:ffff:ffff
180fc06:c0b3::/32fc06:c0b3:ffff:ffff:ffff:ffff:ffff:ffff
181fc06:c0b4::/32fc06:c0b4:ffff:ffff:ffff:ffff:ffff:ffff
182fc06:c0b5::/32fc06:c0b5:ffff:ffff:ffff:ffff:ffff:ffff
183fc06:c0b6::/32fc06:c0b6:ffff:ffff:ffff:ffff:ffff:ffff
184fc06:c0b7::/32fc06:c0b7:ffff:ffff:ffff:ffff:ffff:ffff
185fc06:c0b8::/32fc06:c0b8:ffff:ffff:ffff:ffff:ffff:ffff
186fc06:c0b9::/32fc06:c0b9:ffff:ffff:ffff:ffff:ffff:ffff
187fc06:c0ba::/32fc06:c0ba:ffff:ffff:ffff:ffff:ffff:ffff
188fc06:c0bb::/32fc06:c0bb:ffff:ffff:ffff:ffff:ffff:ffff
189fc06:c0bc::/32fc06:c0bc:ffff:ffff:ffff:ffff:ffff:ffff
190fc06:c0bd::/32fc06:c0bd:ffff:ffff:ffff:ffff:ffff:ffff
191fc06:c0be::/32fc06:c0be:ffff:ffff:ffff:ffff:ffff:ffff
192fc06:c0bf::/32fc06:c0bf:ffff:ffff:ffff:ffff:ffff:ffff
193fc06:c0c0::/32fc06:c0c0:ffff:ffff:ffff:ffff:ffff:ffff
194fc06:c0c1::/32fc06:c0c1:ffff:ffff:ffff:ffff:ffff:ffff
195fc06:c0c2::/32fc06:c0c2:ffff:ffff:ffff:ffff:ffff:ffff
196fc06:c0c3::/32fc06:c0c3:ffff:ffff:ffff:ffff:ffff:ffff
197fc06:c0c4::/32fc06:c0c4:ffff:ffff:ffff:ffff:ffff:ffff
198fc06:c0c5::/32fc06:c0c5:ffff:ffff:ffff:ffff:ffff:ffff
199fc06:c0c6::/32fc06:c0c6:ffff:ffff:ffff:ffff:ffff:ffff
200fc06:c0c7::/32fc06:c0c7:ffff:ffff:ffff:ffff:ffff:ffff
201fc06:c0c8::/32fc06:c0c8:ffff:ffff:ffff:ffff:ffff:ffff
202fc06:c0c9::/32fc06:c0c9:ffff:ffff:ffff:ffff:ffff:ffff
203fc06:c0ca::/32fc06:c0ca:ffff:ffff:ffff:ffff:ffff:ffff
204fc06:c0cb::/32fc06:c0cb:ffff:ffff:ffff:ffff:ffff:ffff
205fc06:c0cc::/32fc06:c0cc:ffff:ffff:ffff:ffff:ffff:ffff
206fc06:c0cd::/32fc06:c0cd:ffff:ffff:ffff:ffff:ffff:ffff
207fc06:c0ce::/32fc06:c0ce:ffff:ffff:ffff:ffff:ffff:ffff
208fc06:c0cf::/32fc06:c0cf:ffff:ffff:ffff:ffff:ffff:ffff
209fc06:c0d0::/32fc06:c0d0:ffff:ffff:ffff:ffff:ffff:ffff
210fc06:c0d1::/32fc06:c0d1:ffff:ffff:ffff:ffff:ffff:ffff
211fc06:c0d2::/32fc06:c0d2:ffff:ffff:ffff:ffff:ffff:ffff
212fc06:c0d3::/32fc06:c0d3:ffff:ffff:ffff:ffff:ffff:ffff
213fc06:c0d4::/32fc06:c0d4:ffff:ffff:ffff:ffff:ffff:ffff
214fc06:c0d5::/32fc06:c0d5:ffff:ffff:ffff:ffff:ffff:ffff
215fc06:c0d6::/32fc06:c0d6:ffff:ffff:ffff:ffff:ffff:ffff
216fc06:c0d7::/32fc06:c0d7:ffff:ffff:ffff:ffff:ffff:ffff
217fc06:c0d8::/32fc06:c0d8:ffff:ffff:ffff:ffff:ffff:ffff
218fc06:c0d9::/32fc06:c0d9:ffff:ffff:ffff:ffff:ffff:ffff
219fc06:c0da::/32fc06:c0da:ffff:ffff:ffff:ffff:ffff:ffff
220fc06:c0db::/32fc06:c0db:ffff:ffff:ffff:ffff:ffff:ffff
221fc06:c0dc::/32fc06:c0dc:ffff:ffff:ffff:ffff:ffff:ffff
222fc06:c0dd::/32fc06:c0dd:ffff:ffff:ffff:ffff:ffff:ffff
223fc06:c0de::/32fc06:c0de:ffff:ffff:ffff:ffff:ffff:ffff
224fc06:c0df::/32fc06:c0df:ffff:ffff:ffff:ffff:ffff:ffff
225fc06:c0e0::/32fc06:c0e0:ffff:ffff:ffff:ffff:ffff:ffff
226fc06:c0e1::/32fc06:c0e1:ffff:ffff:ffff:ffff:ffff:ffff
227fc06:c0e2::/32fc06:c0e2:ffff:ffff:ffff:ffff:ffff:ffff
228fc06:c0e3::/32fc06:c0e3:ffff:ffff:ffff:ffff:ffff:ffff
229fc06:c0e4::/32fc06:c0e4:ffff:ffff:ffff:ffff:ffff:ffff
230fc06:c0e5::/32fc06:c0e5:ffff:ffff:ffff:ffff:ffff:ffff
231fc06:c0e6::/32fc06:c0e6:ffff:ffff:ffff:ffff:ffff:ffff
232fc06:c0e7::/32fc06:c0e7:ffff:ffff:ffff:ffff:ffff:ffff
233fc06:c0e8::/32fc06:c0e8:ffff:ffff:ffff:ffff:ffff:ffff
234fc06:c0e9::/32fc06:c0e9:ffff:ffff:ffff:ffff:ffff:ffff
235fc06:c0ea::/32fc06:c0ea:ffff:ffff:ffff:ffff:ffff:ffff
236fc06:c0eb::/32fc06:c0eb:ffff:ffff:ffff:ffff:ffff:ffff
237fc06:c0ec::/32fc06:c0ec:ffff:ffff:ffff:ffff:ffff:ffff
238fc06:c0ed::/32fc06:c0ed:ffff:ffff:ffff:ffff:ffff:ffff
239fc06:c0ee::/32fc06:c0ee:ffff:ffff:ffff:ffff:ffff:ffff
240fc06:c0ef::/32fc06:c0ef:ffff:ffff:ffff:ffff:ffff:ffff
241fc06:c0f0::/32fc06:c0f0:ffff:ffff:ffff:ffff:ffff:ffff
242fc06:c0f1::/32fc06:c0f1:ffff:ffff:ffff:ffff:ffff:ffff
243fc06:c0f2::/32fc06:c0f2:ffff:ffff:ffff:ffff:ffff:ffff
244fc06:c0f3::/32fc06:c0f3:ffff:ffff:ffff:ffff:ffff:ffff
245fc06:c0f4::/32fc06:c0f4:ffff:ffff:ffff:ffff:ffff:ffff
246fc06:c0f5::/32fc06:c0f5:ffff:ffff:ffff:ffff:ffff:ffff
247fc06:c0f6::/32fc06:c0f6:ffff:ffff:ffff:ffff:ffff:ffff
248fc06:c0f7::/32fc06:c0f7:ffff:ffff:ffff:ffff:ffff:ffff
249fc06:c0f8::/32fc06:c0f8:ffff:ffff:ffff:ffff:ffff:ffff
250fc06:c0f9::/32fc06:c0f9:ffff:ffff:ffff:ffff:ffff:ffff
251fc06:c0fa::/32fc06:c0fa:ffff:ffff:ffff:ffff:ffff:ffff
252fc06:c0fb::/32fc06:c0fb:ffff:ffff:ffff:ffff:ffff:ffff
253fc06:c0fc::/32fc06:c0fc:ffff:ffff:ffff:ffff:ffff:ffff
254fc06:c0fd::/32fc06:c0fd:ffff:ffff:ffff:ffff:ffff:ffff
255fc06:c0fe::/32fc06:c0fe:ffff:ffff:ffff:ffff:ffff:ffff
256fc06:c0ff::/32fc06:c0ff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses